Subject: bug#24470: 25.1; PNG images not rendering for Win Emacs 25.1

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Sep 2016 18:39:36 +0300

> From: Sivaram Neelakantan <[email-masked]>
> Date: Tue, 20 Sep 2016 08:46:01 +0530
> 
> On Mon, Sep 19 2016,Eli Zaretskii wrote:
> 
> > The binaries from ezwinports are 32-bit binaries, whereas your Emacs:
> >
> >> In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
> >                        ^^^^^^^^^^
> > is a 64-bit executable.  So you need 64-bit DLLs for the support
> > libraries.  Do you have them installed?  If not, that's your problem.
> 
> Thanks Eli, where do I get the 64bit DLLs, as
>      http://www.gtk.org/download/win64.php
>      -- the GTK project site; offers much fatter builds, but includes
>         64-bit DLLs (from the 2nd URL)
> 
> from the docs doesn't work and a search at the site doesn't show up
> any prebuilt 64bit DLLs.

I updated the README.W32 file on the emacs-25 branch of the Git
repository regarding the whereabouts of the 64-bit builds, including
the instructions for downloading and installing them.

> Alternately, If I wanted to downgrade to 32bit Emacs, does the gnu
> site have them?

Does it have what? the libraries?  No, but you can use those from
ezwinports.

> I downloaded both the above & 'GNU Emacs 25.1.1 (i686-w64-mingw32)
> of 2016-09-18a' and still face the same issue.  Are they both 64bit?

No the i686-w64-mingw32 one is a 32-bit build.  If images are still
not shown, make sure the image DLLs are in the same directory where
you have emacs.exe.